%define upstream_version 20110620

Name:           hyphen-eu
Version:        0.%{upstream_version}
Release:        %mkrel 12
Summary:        Basque hyphenation rules
License:        LPPL
Group:          Text tools
URL:            http://tp.lc.ehu.es/jma/basque.html
Source0:        https://tug.org/svn/texhyphen/trunk/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-eu.tex
Patch0:         %{name}-%{version}-fdr-clean-tex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen
Requires: locales-eu

%description
Basque hyphenation rules.


%prep
%setup -T -q -c
cp -p %{_sourcedir}/hyph-eu.tex .
%patch -P 0 -p0 -b .clean

%build
grep -v "^%" hyph-eu.tex | tr ' ' '\n' > temp.tex
substrings.pl temp.tex hyph_eu_ES.dic ISO8859-1
echo "Created with substring.pl by substrings.pl hyph-eu.tex hyph_eu_ES.dic ISO8859-1" > README
echo "---" >> README
head -n 34 hyph-eu.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_eu_ES.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.20110620-12.mga10
+ Revision: 2231911
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.20110620-11.mga10
+ Revision: 2127641
- Rebuild for patchN deprecation

* Sat Mar 19 2022 umeabot <umeabot> 0.20110620-10.mga9
+ Revision: 1801505
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20110620-9.mga8
+ Revision: 1491341
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20110620-8.mga7
+ Revision: 1263290
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.20110620-7.mga6
+ Revision: 930917
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20110620-6.mga5
+ Revision: 740823
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20110620-5.mga5
+ Revision: 680354
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.20110620-4.mga4
+ Revision: 522959
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 tv <tv> 0.20110620-3.mga3
+ Revision: 406159
- requires locales-hyphen-eu (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 0.20110620-2.mga3
+ Revision: 353883
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 kamil <kamil> 0.20110620-1.mga2
+ Revision: 194715
- synchronize package with Fedora
  o new version
  o rediff patch and rename

* Tue Jan 10 2012 kamil <kamil> 0.20100531-2.mga2
+ Revision: 194612
- rebuild against new hyphen-devel
- clean spec

* Sat Mar 12 2011 ahmad <ahmad> 0.20100531-1.mga1
+ Revision: 70010
- fix group
- imported package hyphen-eu


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20100531-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 01 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100531-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080628-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 13 2009 Caolán McNamara <caolanm@redhat.com> - 0.20080628-1
- initial version
